Bug 134349 - dovecot: child XXXX (imap) killed with signal 6
dovecot: child XXXX (imap) killed with signal 6
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-10-01 11:36 EDT by Nicolas Mailhot
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 11:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2004-10-01 11:36:25 EDT
Today's rawhide sync killed dovecot on my home box.
New logins no longer work :

Oct  1 17:35:20 rousalka imap(nim): Trying to allocate 0 bytes
Oct  1 17:35:20 rousalka imap-login: Login: nim [194.206.159.179]
Oct  1 17:35:20 rousalka dovecot: child 23817 (imap) killed with signal 6
Oct  1 17:35:26 rousalka imap(nim): Trying to allocate 0 bytes

dovecot-0.99.11-1.FC3.3
Comment 1 Nicolas Mailhot 2004-10-01 11:41:25 EDT
Going back to dovecot-0.99.10.9-1.FC3.2 does not fix the problem
however so it might be a lower-level bug
Comment 2 John Dennis 2004-10-01 11:48:04 EDT
Hmm... I've been testing with dovecot-0.99.10.9-1.FC3.2 because that
is what is in FC3t2 and have had no problems. The fact that regressing
to that version does not fix things for you is significant I believe.
What is the state of the rest of your system? Exactly what version of
Fedora are your running? The fact you reported the problem against
dovecot-0.99.11-1.FC3.3 which went into rawhide only hours ago
suggests you are running bleeding edge unstable :-)
Comment 3 Timo Sirainen 2004-10-01 12:37:59 EDT
Having gdb backtrace would help fixing the problem (instructions in http://dovecot.org/
bugreport.html).
Comment 4 Nicolas Mailhot 2004-10-01 15:05:53 EDT
It's today's rawhide right. I'll try to get a backtrace now
Comment 5 Nicolas Mailhot 2004-10-01 15:07:30 EDT
However it seems there are still new rawhide bits available so I'll
try to get a full sync before (not that it shouldn't work now, since
rpm deps were respected)
Comment 6 Nicolas Mailhot 2004-10-01 16:32:11 EDT
Well, the new sync didn't change a thing, nor did reinstalling
dovecot, and I can't seem to be able to get a core :

1. add mail_drop_priv_before_exec = yes to the config file

2.
[root@rousalka ~]# ulimit -c unlimited
[root@rousalka ~]# ps auuuwxx | grep dovecot
root      3367  0.0  0.0  3648  720 pts/2    S+   22:30   0:00 grep
dovecot
[root@rousalka ~]# /usr/sbin/dovecot
[root@rousalka ~]# ps auuuwxx | grep dovecot
root      3369  0.0  0.1  3536 1056 ?        Ss   22:30   0:00
/usr/sbin/dovecotroot      3371  0.0  0.0  2004  228 ?        D   
22:31   0:00 dovecot-auth
dovecot   3372  0.0  0.1  3492 1396 ?        S    22:31   0:00 imap-login
dovecot   3373  0.0  0.1  3492 1396 ?        S    22:31   0:00 imap-login
dovecot   3374  0.0  0.1  3492 1396 ?        S    22:31   0:00 imap-login
root      3376  0.0  0.0  3648  720 pts/2    S+   22:31   0:00 grep
dovecot

3. Try to connect -> boom

4.

[root@rousalka ~]# ps auuuwxx | grep dovecot
root      3369  0.0  0.1  3536 1076 ?        Ss   22:30   0:00
/usr/sbin/dovecotroot      3371  0.0  0.1  4744 1380 ?        S   
22:31   0:00 dovecot-auth
dovecot   3372  0.0  0.1  3492 1400 ?        S    22:31   0:00 imap-login
dovecot   3374  0.0  0.1  3492 1400 ?        S    22:31   0:00 imap-login
dovecot   3399  0.0  0.1  3492 1400 ?        S    22:31   0:00 imap-login
root      3403  0.0  0.0  3648  720 pts/2    S+   22:31   0:00 grep
dovecot

One of the imap childs changed so the crash did occur. However I don't
have any core file in root's home
Comment 7 Timo Sirainen 2004-10-01 17:29:38 EDT
The core file is written into user's home. Or if your userdb didn't contain home directories, 
it's probably in /tmp assuming core didn't already exist there.
Comment 8 Nicolas Mailhot 2004-10-01 17:37:30 EDT
[root@rousalka nim]# find / -name core -type f
[root@rousalka nim]#
Comment 9 Nicolas Mailhot 2004-10-01 18:09:43 EDT
BTW dovecot is used in imaps mode here, but crashes the same way with
evo (gnutls) and moz (nss)
Comment 10 Nicolas Mailhot 2004-10-01 18:15:24 EDT
gdb seems to think the fact imap-login stops is normal (which probably
explains the no core)
Anyway I'm a total gdb ignoranamus, so I might perfectly be wrong

[root@rousalka nim]# gdb /usr/libexec/dovecot/imap-login  4719
GNU gdb Red Hat Linux (6.1post-1.20040607.33rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...Using host
libthread_db library "/lib/tls/libthread_db.so.1".

Attaching to program: /usr/libexec/dovecot/imap-login, process 4719
Reading symbols from shared object read from target memory...done.
Loaded system supplied DSO at 0xffffe000
`shared object read from target memory' has disappeared; keeping its
symbols.
Reading symbols from /lib/libssl.so.4...Reading symbols from
/usr/lib/debug/lib/libssl.so.0.9.7a.debug...done.
done.
Loaded symbols for /lib/libssl.so.4
Reading symbols from /lib/libcrypto.so.4...Reading symbols from
/usr/lib/debug/lib/libcrypto.so.0.9.7a.debug...done.
done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/lib/libgssapi_krb5.so.2...Reading symbols
from /usr/lib/debug/usr/lib/libgssapi_krb5.so.2.2.debug...done.
done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libkrb5.so.3...Reading symbols from
/usr/lib/debug/usr/lib/libkrb5.so.3.2.debug...done.
done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /lib/libcom_err.so.2...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /usr/lib/libk5crypto.so.3...Reading symbols from
/usr/lib/debug/usr/lib/libk5crypto.so.3.0.debug...done.
done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libresolv.so.2...Reading symbols from
/usr/lib/debug/lib/libresolv-2.3.3.so.debug...done.
done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/libdl.so.2...Reading symbols from
/usr/lib/debug/lib/libdl-2.3.3.so.debug...done.
done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libz.so.1...Reading symbols from
/usr/lib/debug/usr/lib/libz.so.1.2.1.2.debug...done.
done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /lib/tls/libc.so.6...Reading symbols from
/usr/lib/debug/lib/tls/libc-2.3.3.so.debug...done.
done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...Reading symbols from
/usr/lib/debug/lib/ld-2.3.3.so.debug...done.
done.
Loaded symbols for /lib/ld-linux.so.2
0xffffe410 in __kernel_vsyscall ()
(gdb) c
Continuing.

Program exited normally.
Comment 11 Nicolas Mailhot 2004-10-02 11:00:32 EDT
Fixed after today's rawhide sync (which include glibc, so...)

Note You need to log in before you can comment on or make changes to this bug.